---
title: SVGFilterElement
slug: Web/API/SVGFilterElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFilterElement</code></strong> interface provides access to the properties of {{SVGElement("filter")}} elements, as well as methods to manipulate them.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("SVGFilterElement.filterUnits")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} that corresponds to the {{SVGAttr("filterUnits")}} attribute of the given {{SVGElement("filter")}} element. Takes one of the constants defined in {{domxref("SVGUnitTypes")}}.</dd>
 <dt>{{domxref("SVGFilterElement.primitiveUnits")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} that corresponds to the {{SVGAttr("primitiveUnits")}} attribute of the given {{SVGElement("filter")}} element. Takes one of the constants defined in {{domxref("SVGUnitTypes")}}.</dd>
 <dt>{{domxref("SVGFilterElement.x")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} that corresponds to the {{SVGAttr("x")}} attribute on the given {{SVGElement("filter")}} element.</dd>
 <dt>{{domxref("SVGFilterElement.y")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} that corresponds to the {{SVGAttr("y")}} attribute of the given {{SVGElement("filter")}} element.</dd>
 <dt>{{domxref("SVGFilterElement.width")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} that corresponds to the {{SVGAttr("width")}} attribute of the given {{SVGElement("filter")}} element.</dd>
 <dt>{{domxref("SVGFilterElement.height")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedLength")}} that corresponds to the {{SVGAttr("height")}} attribute of the given {{SVGElement("filter")}} element.</dd>
 <dt>{{domxref("SVGFilterElement.filterResX")}} {{ReadOnlyInline}} {{deprecated_inline}}</dt>
 <dd>An {{domxref("SVGAnimatedInteger")}} that contains the X component of the {{SVGAttr("filterRes")}} attribute of the given {{SVGElement("filter")}} element.</dd>
 <dt>{{domxref("SVGFilterElement.filterResY")}} {{ReadOnlyInline}} {{deprecated_inline}}</dt>
 <dd>An {{domxref("SVGAnimatedInteger")}} that contains the Y component of the {{SVGAttr("filterRes")}} attribute of the given {{SVGElement("filter")}} element.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("SVGFilterElement.setFilterRes()")}} {{deprecated_inline}}</dt>
 <dd>Sets the values of the {{SVGAttr("filterRes")}} attribute.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td>Specification</td>
   <td>Status</td>
   <td>Comment</td>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFilterElement", "SVGFilterElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>Removed the inheritance from {{domxref("SVGLangSpace")}}, {{domxref("SVGExternalResourcesRequired")}}, {{domxref("SVGStylable")}}, and {{domxref("SVGUnitTypes")}} and removed the <code>setFilterRes()</code> function</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFilterElement", "SVGFilterElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFilterElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("filter")}}</li>
</ul>
